clear
set more off 
use "Z:\Datasets\Old SA datasets\DataSets_A\CPSMAY80\Stata\c8005.dta"

lab var q2 "Type of work done"

lab var q5 "Type of income earned"

lab def q5 1 "Salary (paid monthly)" 2 "Wage (paid weekly)" 3 "Day-wage (paid daily)" /*
*/ 4 "Piece-wage" 5 "Commission" 6 "Profit (selling and personal services)" /*
*/ 7 "No income-family assistant" 8 "Other:specify"
lab val q5 q5

lab var q6a "Weekly earnings (Rand)"
lab var q6b "Monthly earnings (Rand)"
lab var q6c "Yearly earnings (Rand)"

lab def q6 1 "0" 2 "1-24" 3 "25-49" 4 "50-74" 5 "75-99" 6 "100-124" 7 "125-149" 8 "150-174" /*
*/ 9 "175-199" 10 "200-224" 11 "225-249" 12 "250-299" 13 "300-349" 14 "350-399" 15 "400-449" /*
*/ 16 "450-499" 17 "500-599" 18 "600-699" 19 "700-799" 20 "800-899" 21 "900-999" 22 "1000+"
lab val q6a q6
lab val q6b q6
lab val q6c q6

lab var q7 "Number of days worked during the past 7 days" 

lab var q8 "Hours worked during the past 7 days"

lab var q9 "Reason for not working more hours"
lab def q9 1 "Does not want full-time work" 2 "Stopped/started working" /*
*/ 3 "Own illness" 4 "On leave/public holiday" 5 "Bad weather" 6 "Firm on short-time" /*
*/ 7 "Cannot get more work" 8 "Family circumstances" 9 "Other:specify"
lab val q9 q9

lab var q10 "Respondent prefer to work longer hours"
lab def q10 0 "No" 1 "Yes" 
lab val q10 q10

lab var q11 "Actions taken in the previous month to find more work"

lab var q12 "Respondent's qualifications relative to present job"
lab def q12 1 "Above" 2 "In line with" 3 "Below"
lab val q12 q12

lab var q13 "Reason for not working"
lab def q13 1 "Attendance at school, university, etc" 2 "Duties at home" /*
*/ 3 "Own illness" 4 "Invalid, cripple, etc" 5 "Cannot find any work" 6 "Cannot find suitable work" /*
*/ 7 "Resting, will find work later" 8 "Have found job but only starting later" 9 "Other: Specify"
lab val q13 q13

lab var q14 "How respondent earn a living"
lab def q14 1 "By persons in household" 2 "By relatives not in household" /*
*/ 3 "By friends not in household" 4 "By charity" 5 "Unemployment benefit from gvt" /*
*/ 6 "Odd jobs" 7 "Savings or money previously earned" 8 "Pension" 9 "Other:Specify"
lab val q14 q14

lab var q15 "Want a job"
lab def q15 0 "No" 1 "Yes"
lab val q15 q15

lab var q16 "Actions taken to find work during the past month"

lab var q17 "Kind of work wanted"

lab var q18 "Length of time looking for work in months"

lab var q19 "When is respondent able to start a job"
lab def q19 1 "Within a week" 2 "Within 3 months" 3 "3 to 6 months" 4 "6 to 12 months" 5 "More than 12 months" 6 "Never"
lab val q19 q19

lab var q20 "Ever worked before"
lab def q20 1 "Yes" 0 "No"
lab val q20 q20

lan var q21 "Length of time since last worked in months"

lab var q22 "Previous job specifications"

lab var q23 "Reasons for leaving job"
lab def q23 1 "Stopped work due to own illness/injury" 2 "Stopped work because business closed" /*
*/ 3 "Resigned to study" 5 "Resigned due to short-time work" 6 "Resigned for other reason: Specify" /*
*/ 7 "Discahrged: Own fault" 8 "Discharged for other reason: Specify" 9 "Contact"
lab val q23 q23



